Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.hp.hpl.jena.vocabulary
Class RDF.Nodes

    java.lang.Object
      com.hp.hpl.jena.vocabulary.RDF.Nodes

Enclosing class:
  RDF

    public static final class RDF.Nodes

extends java.lang.Object

The same items of vocabulary, but at the Node level, parked inside a nested class so that there's a simple way to refer to them.

Field Summary
`static Node` | `Alt`
`static Node` | `Bag`
`static Node` | `first`
`static Node` | `List`
`static Node` | `nil`
`static Node` | `object`
`static Node` | `predicate`
`static Node` | `Property`
`static Node` | `rest`
`static Node` | `Seq`
`static Node` | `Statement`
`static Node` | `subject`
`static Node` | `type`
`static Node` | `value`

Constructor Summary
`RDF.Nodes()`

Method Summary

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### Alt

    public static final Node Alt

### Bag

    public static final Node Bag

### Property

    public static final Node Property

### Seq

    public static final Node Seq

### Statement

    public static final Node Statement

### List

    public static final Node List

### nil

    public static final Node nil

### first

    public static final Node first

### rest

    public static final Node rest

### subject

    public static final Node subject

### predicate

    public static final Node predicate

### object

    public static final Node object

### type

    public static final Node type

### value

    public static final Node value

Constructor Detail

### RDF.Nodes

    public RDF.Nodes()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2001, 2002, 2003, 2004, 2005, 2006, 2007, 2008 Hewlett-Packard Development Company, LP